Subject: Re: bug#38497: 27.0.50; Frame is not rendered when frame-resize-pixelwise it 't

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Tue, 17 Dec 2019 15:50:37 +0900

On Tue, 17 Dec 2019 09:39:28 +0900,
Ihor Radchenko wrote:
> 
> >> Could you try the patch below?
> 
> Even though redrawing started working with the patch following my
> previous recipe, I observe another redrawing issue with this patch. I
> haven't tracked the exact recipe yet, but it seems to occur when emacs
> frame is created in floating layout (maybe because it is not resized
> after creation in this case, unlike tiling layout).

Does the patch below work?  (I'm no X11 expert, so just shooting at random.)

				     YAMAMOTO Mitsuharu
				[email-masked]

diff --git a/src/xterm.c b/src/xterm.c
index 55e5cb76f2..590b4bda97 100644
--- a/src/xterm.c
+++ b/src/xterm.c
@@ -8934,6 +8934,10 @@ handle_one_xevent (struct x_display_info *dpyinfo,
       if (f)
 	x_cr_update_surface_desired_size (f, configureEvent.xconfigure.width,
 					  configureEvent.xconfigure.height);
+      else if (any && configureEvent.xconfigure.window == FRAME_X_WINDOW (any))
+	x_cr_update_surface_desired_size (any,
+					  configureEvent.xconfigure.width,
+					  configureEvent.xconfigure.height);
 #endif
 #ifdef USE_GTK
       if (!f